const path = require('path')
const appConfig = require('./get-app-config')

module.exports = {
  projectPath: process.cwd(),

  resolve(dir, isRoot = true) {
    // 获取根目录地址
    let root = isRoot ? process.cwd() : __dirname

    if (dir instanceof Array) {
      return path.join(root, ...dir)
    }

    return path.join(root, dir)
  },

  readFile(fs, file) {
    const publicPath = appConfig.deploy && appConfig.deploy.project || 'public'
    return fs.readFileSync(path.join(publicPath, file), 'utf-8')
  },
}